Bug 64601 - XFree86 4.2 doesn't work well on Dell I8000 with ATI
XFree86 4.2 doesn't work well on Dell I8000 with ATI
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-05-08 10:59 EDT by Hunter Matthews
Modified: 2007-04-18 12:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-20 08:35:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
XFconfiguration file generated from RH7.3 install (16.34 KB, text/plain)
2002-05-13 16:33 EDT, Shane Zatezalo
no flags Details
XFree86 logfile (33.25 KB, text/plain)
2002-05-13 16:33 EDT, Shane Zatezalo
no flags Details
XFree86 logfile -sorry about that (32.43 KB, text/plain)
2002-05-13 21:42 EDT, Shane Zatezalo
no flags Details

  None (edit)
Description Hunter Matthews 2002-05-08 10:59:10 EDT
Description of Problem:
Dell Inspiron 8000, ATI 32MB, A16 level of system and video firmware.

There seems to be a problem with the 4.2 ati driver, switching back and forth 
from X to text consoles, and the external monitor interaction.

I started with the laptop booting fine, got X working (Xconfigurator did
not get the horozontal and vertical numbers correct for me to run - its the 
1600x1200 UGA? screen. 

There was  great deal of "static"? Wavy lines? On the background, but strangely
none in the redhat logo on the gdm login screen. Plugging in an external monitor
and switching to it and back clears the problem. 

Switching to a text console from X causes the text console to he "wrapped", 
like the left hand side of the screen starts about an inch to the right, and
wraps down to the next line.

I've seen this (the text console problem at least) in an earlier version of 
Xfree on this laptop, but have forgotten which exact version it was.

Version-Release number of selected component (if applicable):
XFree86 4.2 as shipped in 7.3

How Reproducible:
Run X.

Additional Information:
Replacing the core XFree86 4.2 packages with the 4.1 packages fixes the 
Comment 1 Shane Zatezalo 2002-05-13 12:22:49 EDT
System config: I8000, 512MBram, 60GBdrive, ATIw/32MB, RH7.3  
The machine boots w/ X on bootup.  
The machine will eventually totally lockup if I switch to a console from X.  
If I exit KDE, and get the login screen, that screen will have odd pixelation all over  
it, as the initial bug poster posted.  
Trying to login (type,move mouse) on that login box sometimes will lock the machine at 
this point. 
Comment 2 Mike A. Harris 2002-05-13 15:48:09 EDT
Please attach X server log and config file using link below.
Comment 3 Shane Zatezalo 2002-05-13 16:33:14 EDT
Created attachment 57144 [details]
XFconfiguration file generated from RH7.3 install
Comment 4 Shane Zatezalo 2002-05-13 16:33:50 EDT
Created attachment 57145 [details]
XFree86 logfile
Comment 5 Alexei Podtelezhnikov 2002-05-13 21:28:13 EDT
This is NOT a config generated by anaconda. That ones starts from an empty 
line always :).
Comment 6 Shane Zatezalo 2002-05-13 21:42:43 EDT
Created attachment 57208 [details]
XFree86 logfile -sorry about that
Comment 7 Mike A. Harris 2002-11-04 03:23:34 EST
Does this problem occur in Red Hat Linux 8.0?
Comment 8 Hunter Matthews 2002-11-04 10:57:02 EST
I won't be installing 8.0 on this laptop for a while. When I do, I'll update the
Comment 9 Mike A. Harris 2002-12-22 03:45:04 EST
Unfortunately, there's not really a lot that I can do about this problem
as the information provided, neither the config file, nor log files
attached show any clues as to what the problems may be.  ;o/

Without having physical access to the hardware itself it is pretty much
impossible to do anything about this problem.  You might want to try
posting a question for help on xpert@xfree86.org or by searching with
google perhaps also.

I've just done a bit of searching myself and have found a bit of information
via google on getting this working.  Of course I can't test or verify any
of it so I don't know how useful it will be, but here are a few for you
to try:


If this problem still occurs in Red Hat Linux 8.0 or later, please reopen
to bring this back from my defered list to my attention.

Comment 10 Mike A. Harris 2005-04-20 08:33:37 EDT
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".

Note You need to log in before you can comment on or make changes to this bug.